# li-badge

<!-- Auto Generated Below -->

## Usage

### Javascript

<!-- Default -->

<li-badge value="20"></li-badge>

<!-- Colors  -->

<li-badge value="20" color="primary"></li-badge>
<li-badge value="20" color="success"></li-badge>
<li-badge value="20" color="warning"></li-badge>

<!-- overflowCount ---隐藏value时，值设置为0 -->
<li-badge value="0" overflow-count="10">
  <li-button color="primary">一级按钮</li-button>
</li-badge>
<li-badge color="primary" value="20" overflow-count="10">
  <li-button color="success">一级按钮</li-button>
</li-badge>
<li-badge color="success" value="20" overflow-count="10">
  <li-button color="primary">一级按钮</li-button>
</li-badge>
<li-badge color="warning" value="20" overflow-count="10">
  <li-button color="primary">一级按钮</li-button>
</li-badge>
<li-badge color="warning" value="20" overflow-count="10">
  <span>一级按钮</span>
</li-badge>

<!-- dot--隐藏dot时，value设置为0 -->
<li-badge isdot="true" value='0'>
  <li-button color="primary">一级按钮</li-button>
</li-badge>
<li-badge color="primary" isdot="true">
  <li-button color="success">一级按钮</li-button>
</li-badge>
<li-badge color="success" isdot="true">
  <li-button color="primary">一级按钮</li-button>
</li-badge>
<li-badge color="warning" isdot="true">
  <li-button color="primary">一级按钮</li-button>
</li-badge>
<li-badge color="warning" isdot="true">
  <span color="primary">一级按钮</span>
</li-badge>

## Properties

| Property             | Attribute        | Description                      | Type                                                            | Default     |
| -------------------- | ---------------- | -------------------------------- | --------------------------------------------------------------- | ----------- |
| `color`              | `color`          | 按钮颜色                         | `"default" \| "primary" \| "success" \| "warning" \| undefined` | `'default'` |
| `isdot`              | `isdot`          | 是否显示为原点                   | `boolean \| undefined`                                          | `false`     |
| `overflowCount`      | `overflow-count` | 封顶数值，超过封顶值后显示为n+； | `number \| undefined`                                           | `99`        |
| `value` _(required)_ | `value`          | badge显示的内容                  | `number \| string`                                              | `undefined` |

## CSS Custom Properties

| Name                | Description |
| ------------------- | ----------- |
| `--background`      | 背景色      |
| `--border-style`    | 边框样式    |
| `--border-width`    | 边框宽度    |
| `--color`           | 文本颜色    |
| `--li-border-color` | 边框颜色    |

---

_Built with ITSI_
